<button [matMenuTriggerFor]="menu" mat-icon-button color="primary" aria-label="Example icon button with a home icon">
  <mat-icon>menu</mat-icon>
</button>
<mat-menu #menu="matMenu">
    <button mat-menu-item (click)="navigate('home')">Home</button>
    <button mat-menu-item (click)="navigate('my-list')">My list</button>
    <button mat-menu-item (click)="navigate('signals')">Signals</button>
  </mat-menu>
